summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-09-17 09:24:28 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-09-17 09:24:56 +0200
commitc391c3ab3d91955620b10a91f9a1ccda9e8c665e (patch)
treefadd90475b388ac8aa17e878a6943d9951bd9f4b /dev-python/rosdistro
parentdev-util/nvidia-cuda-toolkit: Drop old (diff)
downloadgentoo-c391c3ab3d91955620b10a91f9a1ccda9e8c665e.tar.gz
gentoo-c391c3ab3d91955620b10a91f9a1ccda9e8c665e.tar.bz2
gentoo-c391c3ab3d91955620b10a91f9a1ccda9e8c665e.zip
dev-python/rosdistro: initial import. ebuild by me.
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-python/rosdistro')
-rw-r--r--dev-python/rosdistro/Manifest1
-rw-r--r--dev-python/rosdistro/metadata.xml5
-rw-r--r--dev-python/rosdistro/rosdistro-0.4.2.ebuild45
-rw-r--r--dev-python/rosdistro/rosdistro-9999.ebuild45
4 files changed, 96 insertions, 0 deletions
diff --git a/dev-python/rosdistro/Manifest b/dev-python/rosdistro/Manifest
new file mode 100644
index 00000000000..7f66fcea4a8
--- /dev/null
+++ b/dev-python/rosdistro/Manifest
@@ -0,0 +1 @@
+DIST rosdistro-0.4.2.tar.gz 50857 SHA256 3d5bf062bd0ecbfef272456f1862a6bb7a4100d8f2ac9b4ce7792dbdcfed7a84 SHA512 24dd08a959918fa44faa465acd22bd8d157b792391a2701ee40997028ea90dd13848f72abf1098930cd4e7b8a162cea1ab28ceb0d82df74167c85c0ef014ad65 WHIRLPOOL 8207d60268282d9075655ec3676179b1e6a7d8b1ee571c5df90d4680f54c345175788d7abbf3c2b78504c491a7453193490574f8e68ca2bdba270b5db8983e2b
diff --git a/dev-python/rosdistro/metadata.xml b/dev-python/rosdistro/metadata.xml
new file mode 100644
index 00000000000..c42ea5b15cf
--- /dev/null
+++ b/dev-python/rosdistro/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ros</herd>
+</pkgmetadata>
diff --git a/dev-python/rosdistro/rosdistro-0.4.2.ebuild b/dev-python/rosdistro/rosdistro-0.4.2.ebuild
new file mode 100644
index 00000000000..e6da9fa05ae
--- /dev/null
+++ b/dev-python/rosdistro/rosdistro-0.4.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdistro"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Tools to work with catkinized rosdistro files"
+HOMEPAGE="http://wiki.ros.org/rosdistro"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+ http://github.com/ros-infrastructure/rosdistro/archive/${PV}.tar.gz -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/catkin_pkg[${PYTHON_USEDEP}]
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests --with-xunit test || die
+}
diff --git a/dev-python/rosdistro/rosdistro-9999.ebuild b/dev-python/rosdistro/rosdistro-9999.ebuild
new file mode 100644
index 00000000000..e6da9fa05ae
--- /dev/null
+++ b/dev-python/rosdistro/rosdistro-9999.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdistro"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Tools to work with catkinized rosdistro files"
+HOMEPAGE="http://wiki.ros.org/rosdistro"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+ http://github.com/ros-infrastructure/rosdistro/archive/${PV}.tar.gz -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/catkin_pkg[${PYTHON_USEDEP}]
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests --with-xunit test || die
+}